package com.bonus.canteen.core.menu.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesTypeAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesTypeEditDTO;
import com.bonus.canteen.core.menu.dto.MenuTypeDishesDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesType;
import com.bonus.canteen.core.menu.vo.MenuDishesTypeAllVO;
import com.bonus.canteen.core.menu.vo.MenuDishesTypePageVO;

import java.util.List;

public interface MenuDishesTypeService extends IService<MenuDishesType> {
   void addMenuDishesType(MenuDishesTypeAddDTO content);

   Page<MenuDishesTypePageVO> getMenuDishesTypePage(String content);

   void editMenuDishesType(MenuDishesTypeEditDTO content);

   void removeByTypeId(Long typeId);

   void dateRecoveryMenuDishesType();

   Long getDefaultTypeId();

   List<MenuDishesTypeAllVO> getAllMenuDishesTypeList();

   List<MenuDishesTypeAllVO> getAllUseMenuDishesTypeList(MenuTypeDishesDTO content);
}
